Bug 1194127 - (CVE-2021-44832) VUL-0: CVE-2021-44832: log4j: log4j-core: remote code execution via JDBC Appender
(CVE-2021-44832)
VUL-0: CVE-2021-44832: log4j: log4j-core: remote code execution via JDBC Appe...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/319232/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-29 07:52 UTC by Gianluca Gabrielli
Modified: 2022-03-09 13:59 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2021-12-29 07:52:29 UTC
Apache Log4j2 versions 2.0-beta7 through 2.17.0 (excluding security fix releases 2.3.2 and 2.12.4) are vulnerable to a remote code execution (RCE) attack where an attacker with permission to modify the logging configuration file can construct a malicious configuration using a JDBC Appender with a data source referencing a JNDI URI which can execute remote code. This issue is fixed by limiting JNDI data source names to the java protocol in Log4j2 versions 2.17.1, 2.12.4, and 2.3.2.

References:
https://issues.apache.org/jira/browse/LOG4J2-3293
https://lists.apache.org/thread/s1o5vlo78ypqxnzn6p8zf6t9shtq5143

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2035951
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-44832
http://seclists.org/oss-sec/2021/q4/181
http://www.openwall.com/lists/oss-security/2021/12/28/1
http://www.cvedetails.com/cve/CVE-2021-44832/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-44832
https://issues.apache.org/jira/browse/LOG4J2-3293
https://lists.apache.org/thread/s1o5vlo78ypqxnzn6p8zf6t9shtq5143
Comment 1 Gianluca Gabrielli 2021-12-29 07:53:45 UTC
Affected packages:
 - SUSE:SLE-15-SP2:Update/log4j  2.17.0
 - openSUSE:Factory/log4j        2.17.0

Please upgrade to v2.17.1
Comment 2 Pedro Monreal Gonzalez 2021-12-29 11:10:24 UTC
Upstream patch:
 * https://github.com/apache/logging-log4j2/commit/05db5f9527254632b59aed2a1d78a32c5ab74f16
Comment 3 Pedro Monreal Gonzalez 2021-12-29 16:09:03 UTC
Update to 2.17.1 submitted by David Anes, here:
  * https://build.opensuse.org/request/show/943087
Comment 4 Pedro Monreal Gonzalez 2021-12-29 16:11:01 UTC
SLE-15-SP2 submission: https://build.suse.de/request/show/261318
Comment 6 Swamp Workflow Management 2021-12-30 17:18:51 UTC
openSUSE-SU-2021:4208-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1194127
CVE References: CVE-2021-44832
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    log4j-2.17.0-4.16.1
Comment 7 Swamp Workflow Management 2022-01-02 20:16:29 UTC
openSUSE-SU-2022:0002-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1194127
CVE References: CVE-2021-44832
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    log4j-2.17.0-lp152.3.15.1
Comment 8 Marcus Meissner 2022-03-09 13:59:20 UTC
released